Subject: Re: [PATCH v2] Makefile: make the "sparse" target non-.PHONY

From: Junio C Hamano <[email-masked]>
Date: Fri, 24 Sep 2021 12:37:48 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> Would you be OK with just running something like this instead?:
>
>     make -j $(nproc) objects CC=cgcc CFLAGS="-no-compile -Wsparse-error -Wno-pointer-arith -Wno-memcpy-max-count"

Counting both machine and human time cost, I'd rather go with "make
foo.sp", even if it is much slower than before, than having to type
that, or having remember to run a custom script that encapsulates
the above, which is something different from just typing "make".

Of course, I'd be happier if "make sparse" did dependencies right
*and* did not involve real compilation, but if that is beyond our
capability, then so be it --- I do not that deeply care ;-)